#
# spec file for package python-SocksiPy
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2012 Weberhofer GmbH, Austria
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define upstreamName SocksiPy-branch

Name:           python-SocksiPy
Version:        1.02
Release:        lp151.2.1
Summary:        A Python SOCKS module
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            http://code.google.com/p/socksipy-branch/
Source0:        SocksiPy-branch-%{version}.tar.bz2
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
This Python module allows you to create TCP connections through a SOCKS
proxy without any special effort.

%prep
%setup -q -n %{upstreamName}-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc BUGS LICENSE README
%{python_sitelib}/*

%changelog
* Fri Feb 14 2014 rschweikert@suse.com
- Include in SLE 12 (FATE #316168)
* Thu Dec 19 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Thu Nov 28 2013 rschweikert@suse.com
- Do not use source service URL for Source, fixes builds on SLE
* Fri Aug  9 2013 rschweikert@suse.com
- Switch to the -branch upstream source. The original implementation
  had it's last posted source in October of 2006 and it appears that
  non of the issues files has been fixed. The -branch has some fixes
  contributed by various people, although there has not been an update
  since 2010 either.
* Thu Jan  3 2013 toddrme2178@gmail.com
- Fix builds for SLES 11
* Wed Jan 11 2012 saschpe@suse.de
- Spec file cleanup:
  * Don't rm -rf %%buildroot
  * Set license to SDPX style (BSD-3-Clause)
  * Simpler EOL fix
  * Removed outdated %%clean section
* Tue Jan 10 2012 jweberhofer@weberhofer.at
- Initial import of version 1.0 to osb
* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 1.00-4
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild
  * Fri Mar 05 2010 Nikolay Ulyanitsky <lystor AT lystor.org.ua> - 1.00-3
- Fixed the Source0 URL
  * Fri Mar 05 2010 Nikolay Ulyanitsky <lystor AT lystor.org.ua> - 1.00-2
- Remove the unused python_sitearch macro
- Preserve timestamps on documentation files
  * Sun Feb 14 2010 Nikolay Ulyanitsky <lystor AT lystor.org.ua> - 1.00-1
- Initial package build
